
//----------------------------------------------------------------------------
//   The confidential and proprietary information contained in this file may
//   only be used by a person authorised under and to the extent permitted
//   by a subsisting licensing agreement from ARM Limited or its affiliates.
//
//          (C) COPYRIGHT 2013-2017 ARM Limited or its affiliates.
//              ALL RIGHTS RESERVED
//
//   This entire notice must be reproduced on all copies of this file
//   and copies of this file may only be made by a person if such person is
//   permitted to do so under the terms of a subsisting license agreement
//   from ARM Limited or its affiliates.
//----------------------------------------------------------------------------

#ifdef MBED_CLOUD_CLIENT_USER_CONFIG_FILE
#include MBED_CLOUD_CLIENT_USER_CONFIG_FILE
#endif

#include <stdint.h>

#ifdef MBED_CLOUD_DEV_UPDATE_ID
const uint8_t arm_uc_vendor_id[] = {
    0xfa, 0x6b, 0x4a, 0x53, 0xd5, 0xad, 0x5f, 0xdf, 0xbe, 0x9d, 0xe6, 0x63, 0xe4, 0xd4, 0x1f, 0xfe
};
const uint16_t arm_uc_vendor_id_size = sizeof(arm_uc_vendor_id);

const uint8_t arm_uc_class_id[]  = {
    0xc1, 0x83, 0xb6, 0xcc, 0x3d, 0x5b, 0x5d, 0x93, 0xa9, 0x92, 0x96, 0xb3, 0xc2, 0xcb, 0x72, 0xbe
};
const uint16_t arm_uc_class_id_size = sizeof(arm_uc_class_id);
#endif

#ifdef MBED_CLOUD_DEV_UPDATE_CERT
const uint8_t arm_uc_default_fingerprint[] =  {
    0xd8, 0x98, 0x53, 0x3f, 0x5f, 0x29, 0xb0, 0x47, 0x5b, 0xac, 0x7d, 0x82, 0x3e, 0x7e, 0x4c, 0xde,
    0xc3, 0xe8, 0x65, 0xfc, 0xf0, 0x87, 0x92, 0xe6, 0x49, 0x2d, 0xb6, 0x39, 0x8b, 0xe6, 0x62, 0x9b
};
const uint16_t arm_uc_default_fingerprint_size =
    sizeof(arm_uc_default_fingerprint);

const uint8_t arm_uc_default_subject_key_identifier[] =  {
    0x4f, 0x16, 0xda, 0x27, 0x8f, 0x15, 0x87, 0xcb, 0xed, 0xd9, 0x57, 0x65, 0x8b, 0x2, 0x6, 0x3c,
    0x4a, 0x8d, 0x4a, 0xbf
};
const uint16_t arm_uc_default_subject_key_identifier_size =
    sizeof(arm_uc_default_subject_key_identifier);

const uint8_t arm_uc_default_certificate[] = {
    0x30, 0x82, 0x1, 0x80, 0x30, 0x82, 0x1, 0x25, 0xa0, 0x3, 0x2, 0x1, 0x2, 0x2, 0x14, 0x43,
    0x17, 0xcd, 0x19, 0x3c, 0xc1, 0xd2, 0x22, 0x49, 0x23, 0x3b, 0x6, 0x53, 0x9b, 0x40, 0x16, 0x67,
    0x75, 0x55, 0xe3, 0x30, 0xa, 0x6, 0x8, 0x2a, 0x86, 0x48, 0xce, 0x3d, 0x4, 0x3, 0x2, 0x30,
    0x12, 0x31, 0x10, 0x30, 0xe, 0x6, 0x3, 0x55, 0x4, 0x3, 0xc, 0x7, 0x61, 0x72, 0x6d, 0x2e,
    0x63, 0x6f, 0x6d, 0x30, 0x1e, 0x17, 0xd, 0x31, 0x39, 0x30, 0x32, 0x32, 0x37, 0x31, 0x33, 0x34,
    0x30, 0x35, 0x31, 0x5a, 0x17, 0xd, 0x31, 0x39, 0x30, 0x35, 0x32, 0x38, 0x31, 0x33, 0x34, 0x30,
    0x35, 0x31, 0x5a, 0x30, 0x12, 0x31, 0x10, 0x30, 0xe, 0x6, 0x3, 0x55, 0x4, 0x3, 0xc, 0x7,
    0x61, 0x72, 0x6d, 0x2e, 0x63, 0x6f, 0x6d, 0x30, 0x59, 0x30, 0x13, 0x6, 0x7, 0x2a, 0x86, 0x48,
    0xce, 0x3d, 0x2, 0x1, 0x6, 0x8, 0x2a, 0x86, 0x48, 0xce, 0x3d, 0x3, 0x1, 0x7, 0x3, 0x42,
    0x0, 0x4, 0xbf, 0x54, 0xa8, 0xf8, 0x4c, 0x3a, 0x64, 0xc8, 0x13, 0x78, 0xab, 0xc0, 0x15, 0x23,
    0xce, 0x76, 0xbb, 0xd3, 0xf8, 0x57, 0x43, 0x7, 0x82, 0x2a, 0xd1, 0xfd, 0xae, 0x97, 0x79, 0xe4,
    0x23, 0x1f, 0x52, 0x7a, 0x9a, 0xf9, 0xb1, 0x1e, 0xda, 0x97, 0x1e, 0x5a, 0xf8, 0x4a, 0x5e, 0x4f,
    0xbc, 0x27, 0x83, 0xa7, 0xfc, 0xdf, 0xc8, 0x7f, 0xc, 0xbf, 0xff, 0xa6, 0x64, 0x18, 0xdd, 0x37,
    0x40, 0x1a, 0xa3, 0x59, 0x30, 0x57, 0x30, 0xb, 0x6, 0x3, 0x55, 0x1d, 0xf, 0x4, 0x4, 0x3,
    0x2, 0x7, 0x80, 0x30, 0x14, 0x6, 0x3, 0x55, 0x1d, 0x11, 0x4, 0xd, 0x30, 0xb, 0x82, 0x9,
    0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x68, 0x6f, 0x73, 0x74, 0x30, 0x13, 0x6, 0x3, 0x55, 0x1d, 0x25,
    0x4, 0xc, 0x30, 0xa, 0x6, 0x8, 0x2b, 0x6, 0x1, 0x5, 0x5, 0x7, 0x3, 0x3, 0x30, 0x1d,
    0x6, 0x3, 0x55, 0x1d, 0xe, 0x4, 0x16, 0x4, 0x14, 0x4f, 0x16, 0xda, 0x27, 0x8f, 0x15, 0x87,
    0xcb, 0xed, 0xd9, 0x57, 0x65, 0x8b, 0x2, 0x6, 0x3c, 0x4a, 0x8d, 0x4a, 0xbf, 0x30, 0xa, 0x6,
    0x8, 0x2a, 0x86, 0x48, 0xce, 0x3d, 0x4, 0x3, 0x2, 0x3, 0x49, 0x0, 0x30, 0x46, 0x2, 0x21,
    0x0, 0xa5, 0x45, 0xec, 0x7a, 0x66, 0xed, 0x20, 0xa5, 0x4a, 0x91, 0x43, 0x75, 0x5a, 0x34, 0x76,
    0x6e, 0xea, 0x0, 0xd6, 0x1f, 0xb1, 0xf2, 0x55, 0xeb, 0x23, 0xeb, 0x66, 0xb3, 0xd6, 0xa3, 0xf9,
    0xf4, 0x2, 0x21, 0x0, 0xaf, 0xfd, 0xf4, 0xf2, 0x71, 0x5f, 0x39, 0x68, 0xc6, 0x58, 0x10, 0x19,
    0xf3, 0xb8, 0x85, 0xeb, 0x7a, 0x59, 0xbd, 0xb4, 0x70, 0xff, 0xe1, 0xe9, 0x21, 0x30, 0x9, 0x81,
    0x5f, 0x85, 0x7a, 0xab
};
const uint16_t arm_uc_default_certificate_size = sizeof(arm_uc_default_certificate);
#endif


#ifdef MBED_CLOUD_DEV_UPDATE_PSK
const uint8_t arm_uc_default_psk[] = {

};
const uint8_t arm_uc_default_psk_size = sizeof(arm_uc_default_psk);
const uint16_t arm_uc_default_psk_bits = sizeof(arm_uc_default_psk)*8;

const uint8_t arm_uc_default_psk_id[] = {

};
const uint8_t arm_uc_default_psk_id_size = sizeof(arm_uc_default_psk_id);
#endif
